Name: qrcs
Version: 0.09
Release: 1
Summary: qrcs is a quick and dirty front-end to RCS
Copyright: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.gz
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /tmp/%{name}-%{version}
ExclusiveOS: Linux
BuildArchitectures: noarch
Requires: perl, rcs, e2fsprogs

%changelog
* Sun Nov 28 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.09
- root check performed later (allows -h and -v as non-root user)
- took -v out of main loop (seeing version information once is enough!)
- added -t to add descriptive text during initial check-in
- ci now called via system() (no longer written to through pipe)

* Sun Nov 21 1999  Ian Macdonald <ian@caliban.org>
[0.08-2]
- made package a noarch
- added ExclusiveOS tag for Linux (because of {ch,ls}attr)

* Mon Aug 23 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.08
- added -n to avoid setting immutable attribute
- made it possible to operate on multiple files

* Fri Jul 30 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.06
- hash of external commands reimplemented to use `which $_`
- bug in display of missing externals corrected

* Sun Jul 25 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.05
- mode handling improved. We now remove the 'w' bit when checking in, and
  when checking out as unlocked. The 'w' bit is set when checking out as
  locked. Additionally, we also set or clear the 'w' bit when changing the
  lock mode with -c.
- corrected .spec file problem that caused man page to go to wrong place

* Wed Jul 21 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.04
- mode (except for w bit), UID & GID now preserved when checking files in & out
- running qrcs with no parameters now causes usage text to be shown

* Mon Jun 21 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.03
- files were checked out before removing immutable flag. Duh!

* Sun May 16 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 0.02
- -e option added for starting editor automatically on locked check-out
- immutable flag now removed only on locked check-out
- immutable flag now set or cleared when using -c to change lock status

* Thu May 13 1999  Ian Macdonald <ian@caliban.org>
- first release

%description
qrcs provides a quick and dirty front-end to the RCS tools such as rcs(1),
ci(1), co(1) and rlog(1). Its target audience is non-developers such as
casual system administrators, people who need version control, but are too
lazy to read the RCS manpages.

%prep
%setup

%build
pod2html %{name} > %{name}.html
pod2man %{name} > %{name}.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install %{name} $RPM_BUILD_ROOT/usr/bin
install %{name}.1 $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.html COPYING
%doc /usr/man/man1/%{name}.1
/usr/bin/qrcs
